import Vue from 'vue'
import App from './App.vue'
import store from './store'
import socketio from 'socket.io-client';
import VueSocketIO from 'vue-socket.io'

Vue.use(new VueSocketIO({
    debug: true,
    connection: socketio({ path: "/api/v1/socket.io" }),
    vuex: {
        store,
        actionPrefix: 'SOCKET_',
        mutationPrefix: 'SOCKET_'
    },
}))

Vue.config.productionTip = false

console.log(store)

new Vue({
    render: h => h(App),
    store,
}).$mount('#app')
